package xyz.zhouxy.plusone.exception.handler;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * AllExceptionHandlerConfig
 */
@Configuration
@ConditionalOnProperty(prefix = "plusone.exception", name = "handle-all-exception", havingValue = "true")
public class AllExceptionHandlerConfig {

    @Bean
    AllExceptionHandler getAllExceptionHandler() {
        return new AllExceptionHandler(ExceptionInfoHolderFactory.newDefaultExceptionInfoHolder());
    }
}
