package xyz.zhouxy.plusone.validator;

import org.springframework.web.bind.annotation.RestControllerAdvice;

import xyz.zhouxy.plusone.exception.handler.BaseExceptionHandler;
import xyz.zhouxy.plusone.exception.handler.ExceptionInfoHolderFactory;

@RestControllerAdvice
public class InvalidInputExceptionHandler extends BaseExceptionHandler {

    protected InvalidInputExceptionHandler() {
        super(ExceptionInfoHolderFactory.newDefaultExceptionInfoHolder());
        set(InvalidInputException.class, InvalidInputException.ERROR_CODE, "无效的用户输入");
    }
}
